
<div id="hints" style="display: none;">

 <p><b>NOTE:</b> Clicking the 'Get neighbors' checkbox will result in an additional neighbors query for each item in the search results, and the neighbors are thus shown in the results table. However, this causes the overall query to take longer, which is why it is un-checked by default. </p>

 <h2>Event queries</h2>

 <h4>By event attributes</h4>
 Relational and range queries can be made on event attributes.
 <ul>
    <li><code>instruments = "H1,L1,V1" &amp; far &lt; 1e-7</code></li>
    <li><code>singleinspiral.mchirp &gt;= 0.5 &amp; singleinspiral.eff_distance in 0.0,55 </code></li>
    <li><code>(si.channel = "DMT-STRAIN" | si.channel = "DMT-PAIN") &amp; si.snr &lt; 5</code></li>
    <li><code>mb.snr in 1,3 &amp; mb.central_freq &gt; 1000</code></li>
 </ul>
 Attributes in the common event object (eg gpstime, far, instruments) do not need qualifiers.  Attributes specific to inspiral or burst events, for example, require qualification.  Abbreviations are available: <code>si</code> for singleinspiral, <code>ci</code> for coincinspiral and <code>mb</code> for multiburst.

 <h4>By GPS time</h4>
  Specify an exact GPS time, or a range.
  Integers will be assumed to be GPS times, making the <code>gpstime:</code>
  keyword optional.
  <ul>
     <li><code>899999000 .. 999999999</code></li>
     <li><code>gpstime: 899999000.0 .. 999999999.9</code></li>
  </ul>

 <h4>By creation time</h4>
  Creation time may be indicated by an exact time or a range.  Date/times are
  in the format <code>2009-10-20 13:00:00</code> (must be UTC).  If the time is omitted, it
  is assumed to be <code>00:00:00</code>.  Dates may also consist of certain
  variants of English-like phrases.
  The <code>created:</code> keyword is (generally) optional.
  <ul>
     <li><code>created: 2009-10-08 .. 2009-12-04 16:00:00</code></li>
     <li><code>yesterday..now</code></li>
     <li><code>created: 1 week ago .. now</code></li>
  </ul>

 <h4>By graceid</h4>
  GraceIds can be specified either individually, or as a range.
  The <code>gid:</code> keyword is optional.
  <ul>
   <li>gid: G2011</li>
   <li>G2011 .. G3000</li>
   <li>G2011 G2032 G2033</li>
  </ul>

 <h4>By group, pipeline, and search</h4>
  The <code>group:</code>, <code>pipeline:</code>, and <code>search:</code> keywords are optional.  Names are case-insensitive.  Note that events in the Test group will not be shown unless explicitly requested.
  <ul>
   <li>CBC Burst</li>
<!--   <li>Inspiral CWB</li> -->
   <li>group: Test pipeline: cwb</li>
   <li>Burst cwb</li>
  </ul>

 <h4>By label</h4>
  You may request only events with a particular label or set of labels.  The <code>label:</code> keyword
  is optional. Label names can be combined with binary AND: '&amp;' or ','; or binary OR: '|'. For N labels, 
  there must be exactly N-1 binary operators. (Parentheses are not allowed.) Additionally, any of the labels 
  in a query string can be negated with '~' or '-'. 
  <ul>
   <li>label: INJ</li>
   <li>EM_READY &amp; ADVOK</li>
   <li>H1OK | L1OK &amp; ~INJ &amp; ~DQV</li>
  </ul>
  Labels in current use are:
    INJ, DQV, EM_READY, PE_READY, H1NO, H1OK, H1OPS, L1NO, L1OK, L1OPS, V1NO, V1OK, V1OPS, ADVREQ, ADVOK, ADVNO, EM_COINC, EM_SENT

 <h4>By submitter</h4>
  To specify events from a given submitter, indicate the name of the submitter in double quotes.
  The <code>submitter:</code> is optional.  While LIGO user names are predictable, most events
  are submitted through robot accounts and are not as predictable.  This is probably a defect
  that ought to be remedied.
  <ul>
    <li>"waveburst"
    <li>"gstlalcbc"  "gracedb.processor"
    <li>submitter: "joss.whedon@ligo.org" submitter: "gracedb.processor"
  </ul>

 <h4>By superevent status</h4>
  Use the <code>in_superevent:</code> to specify events which are/are not part of any superevent.
  Use the <code>superevent:</code> keyword to specify events which are part of a specific superevent.
  Use the <code>is_preferred_event:</code> keyword to specify events which are/are not preferred events for any superevent.
  <ul>
    <li>in_superevent: True</li>
    <li>in_superevent: False</li>
    <li>superevent: S180525c</li>
    <li>is_preferred_event: True</li>
    <li>is_preferred_event: False</li>
  </ul>

 <br />

 <h2>Superevent queries</h2>

 <h4>By id</h4>
  The keywords <code>id:</code> or <code>superevent_id:</code> are optional.
  <ul>
   <li>id: S180525a</li>
   <li>superevent_id: S170817b</li>
   <li>GW180428C</li>
  </ul>

 <h4>By category</h4>
  Specify a superevent category (Production, Test, MDC). Only production
  superevents are returned by default. The keyword <code>category:</code> is optional.
  <ul>
    <li>Test</li>
    <li>category: MDC</li>
  </ul>

 <h4>By GPS time</h4>
  Same as for event queries, with keywords <code>gpstime:</code> or <code>t_0:</code>.

 <h4>By other time attributes</h4>
  Queries based on the <code>t_start</code> and <code>t_end</code> attributes are also available.
  <ul>
    <li>t_start: 899999000</li>
    <li>t_end: 899999000.0 .. 900000000.0</li>
  </ul>

 <h4>By preferred event graceids</h4>
  Specify a graceid or range of graceids with keyword <code>preferred_event:</code> to get all
  superevents with corresponding preferred events.
  <ul>
    <li>preferred_event: G123456</li>
    <li>preferred_event: G123456 .. G123500</li>
  </ul>

 <h4>By event graceids</h4>
  Specify a graceid or range of graceids with keyword <code>event:</code> to get all
  superevents which contain the corresponding event(s).
  <ul>
    <li>event: G123456</li>
    <li>event: G123456 .. G123500</li>
  </ul>

 <h4>By GW status</h4>
  Query for superevents which are confirmed as GWs or not with the <code>is_gw:</code> keyword.
  <ul>
    <li>is_gw: True</li>
    <li>is_gw: False</li>
  </ul>

 <h4>By creation time</h4>
  Same as for events.

 <h4>By submitter</h4>
  Same as for events.

 <h4>By label</h4>
  Same as for events.

 <h4>By public status</h4>
 Use the <code>is_public:</code> or <code>is_exposed:</code> keywords:
 <ul>
   <li>is_public: True</li>
   <li>is_exposed: True</li>
 </ul>
 Or, just add either "public" or "internal" to your query.

 <h4>By preferred event FAR</h4>
 <ul>
   <li>far < 1e-5</li>
   <li>FAR >= 0.01</li>
   <li>far in 1e-7, 2.5e-6</li>
 </ul>

</div>
